evaluate.Galgo {galgo} | R Documentation

## Evaluates all chromosomes with a fitness function

### Description

Evaluates all chromosomes with a fitness function. The result of this evaluation is treated as the “fitness” value (as defined by Goldberg, see references). The `Galgo` object call this method and store the returned value asociated with each chromosome in order to decide which chromosomes are the best choices to be part of the next generation. The “fitness function” commonly returns a numeric value scaled from 0 to 1 (but not always, For more information see `Galgo`.). As close to 1 as better chance it could be part of the next generation.

### Usage

    ## S3 method for class 'Galgo'
    evaluate(.O, fn=.O$fitnessFunc, parent=NULL, ...)

### Arguments

`fn` | The “fitness” function to be called to evaluate all chromosomes. It should follow the format `function(obj, parent) { ... }`. The default is to use the function specified in the `Galgo` object.
`parent` | The original object calling for the evaluation. This is passed when the function is sensitive to data stored in parent object. Commonly it is a `BigBang` object (perhaps `Galgo` instead).

### Value

Returns nothing.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Galgo`.

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      ni <- Niche(chromosomes = newRandomCollection(cr, 10))
      wo <- World(niches=newRandomCollection(ni,2))

      ga <- Galgo(populations=newRandomCollection(wo,1), goalFitness = 0.75,
                  callBackFunc=plot,
                  fitnessFunc=function(chr, parent) 5/sd(as.numeric(chr)))
      ga
      summary(ga)
      evaluate(ga) # manual evaluation
      ga$generation <- ga$generation + 1
      ga
      refreshStats(ga)
      ga           # updated values
      summary(ga)  # but chromosomes have not been "evolved"

      evolve(ga)
      # the usual evaluation of fitness function is inside evolve method

[Package galgo version 1.4 Index]